## com.fasterxml.jackson.databind.deser.std
Class StdScalarDeserializer<T>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonDeserializer<T>
          com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
              com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>

Direct Known Subclasses:
  ClassDeserializer, CoreXMLDeserializers.GregorianCalendarDeserializer, DateDeserializers.DateBasedDeserializer, EnumDeserializer, EnumDeserializer.FactoryBasedDeserializer, FromStringDeserializer, JacksonDeserializers.JavaTypeDeserializer, JacksonDeserializers.TokenBufferDeserializer, JdkDeserializers.AtomicBooleanDeserializer, JdkDeserializers.AtomicReferenceDeserializer, JdkDeserializers.StackTraceElementDeserializer, JdkDeserializers.StringDeserializer, NumberDeserializers.BigDecimalDeserializer, NumberDeserializers.BigIntegerDeserializer, NumberDeserializers.NumberDeserializer, NumberDeserializers.PrimitiveOrWrapperDeserializer, StringDeserializer

    public abstract class StdScalarDeserializer<T>

extends StdDeserializer<T>

Base class for deserializers that handle types that are serialized as JSON scalars (non-structured, i.e. non-Object, non-Array, values).

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`JsonDeserializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_valueClass`

Constructor Summary
`protected` `StdScalarDeserializer(Class<?> vc)`
`protected` `StdScalarDeserializer(JavaType valueType)`

Method Summary
`Object` `deserializeWithType(JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Base implementation that does not assume specific type inclusion mechanism.

Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer
`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer
`deserialize, deserialize, getEmptyValue, getKnownPropertyNames, getNullValue, getObjectIdReader, isCachable, unwrappingDeserializer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StdScalarDeserializer

    protected StdScalarDeserializer(Class<?> vc)

### StdScalarDeserializer

    protected StdScalarDeserializer(JavaType valueType)

Method Detail

### deserializeWithType

    public Object deserializeWithType(JsonParser jp,
                                      DeserializationContext ctxt,
                                      TypeDeserializer typeDeserializer)
                               throws IOException,
                                      JsonProcessingException

  Description copied from class: `StdDeserializer`
  Base implementation that does not assume specific type inclusion mechanism. Sub-classes are expected to override this method if they are to handle type information.

  Overrides:
    `deserializeWithType` in class `StdDeserializer<T>`
    `typeDeserializer` - Deserializer to use for handling type information
  Throws:
    `IOException`
    `JsonProcessingException`

Copyright © 2012 fasterxml.com. All Rights Reserved.